Page MenuHomePhabricator

EO: Calendar widget for EO API
Closed, ResolvedPublic

Description

elm_calendar should be bring into Efl.Ui. Main question is how should the theme be done, assembling label ? It is a lower priority and API has not been think so much.

cedric raised the priority of this task from TODO to Normal.Jul 10 2017, 2:25 PM
jpeg assigned this task to woohyun.Oct 11 2017, 11:55 PM

Who works on this?

https://phab.enlightenment.org/rEFL9442f4687cd2eaa202c41254c12f553c463386f5

I made the first version of new calendar.
And I will do some more works to close this task.

  • fix documentations
  • add tests for new calendar
jpeg renamed this task from Refactoring calendar to EO: Calendar widget for EO API.Nov 13 2017, 2:39 AM
jpeg added a comment.Nov 13 2017, 2:40 AM

@woohyun Can we select a date with Efl.Ui.Calendar?

@jpeg Sure, you can see it elementary_test -> "Efl Ui Calendar".

But, I'm little bit ambiguous about what you mean with "select a date".

jpeg added a comment.Nov 13 2017, 3:34 AM

Oh OK date is the selected date, not "today". Got it. "Today" can't be changed, can it?

@jpeg
"Today" cannot be changed. That is the role of god :P joke.

Do you think changing "Today" is needed ?
It looks like little bit weird to me, honestly.

jpeg added a comment.Nov 14 2017, 9:01 PM

I agree with you, I was just wondering.

jpeg added a comment.Dec 11 2017, 12:21 AM

@woohyun anything left to do here? I would gladly close this ticket unless we have a concrete work item to complete.

@jpeg
There is nothing left for this. Later, we need to do something more, then I'll create new task :)

jpeg closed this task as Resolved.Dec 11 2017, 1:09 AM